<?php
@session_start();
class Xmto extends MX_Controller{
	public function __construct(){
		if(!isset($_SESSION["app.soptec_sesion_id"]) || $_SESSION["app.soptec_sesion_id"]==0){
 			header('Location: '.base_url().'main/no_conectado');
 		}
		$this->load->model('seguridad/xppo_model');
		//$this->load->model('xoga/xoga_model');
		$this->load->model('soporte/xmto_model');
		$this->load->model('inventario/inventario_model');
		//$this->load->model('inventario/inventario_model');
		//$this->load->model('movimiento/movimiento_model');
		date_default_timezone_set('America/Lima');
	}

	public function index(){
		if($this->xppo_model->ver($_SESSION['app.soptec_sesion_id'],101)){
			$titulo 			= 'SISTEMA DE CONTROL DE ACTIVOS INFORMÁTICOS';
 			$data['titulo']		= $titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$data['menu']		= $this->load->view('main/menu', '', TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
 			$data['xeqo']		= modules::run('maestras/xeqo/combo','0',' - TODOS - ');
			$this->load->view('xmto/listar_enviados', $data);
		}else{
			$titulo 			= 'SISTEMA DE CONTROL DE ACTIVOS INFORMÁTICOS';
 			$data['titulo']		= $titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$data['menu']		= $this->load->view('main/menu', '', TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
			$this->load->view('main/sin_permiso', $data);
		}
	}

	public function listar_enviados(){
		$xeo                = $this->input->post('xeo');
        $desde              = $this->util->fecha_ingles($this->input->post('desde'));
        $hasta              = $this->util->fecha_ingles($this->input->post('hasta'));
        $opcion             = $this->input->post('opcion');
        $destino            = $this->input->post('destino');
        $codpat             = $this->input->post('codpat');
        $xeqo               = $this->input->post('xeqo');
        $ds                 = $this->xmto_model->listar(0,$destino,$desde,$hasta,$xeo,$codpat,$xeqo);
		$html 				= '';
		$count 				= $ds->num_rows();
		foreach ($ds->result() as $row) {
			$en_espera 			= $this->util->fecha_espanol($row->man_fecha).' '.$row->man_hora;
    		$dias_e 			= $this->util->dias_transcurridos($row->man_fecha, date('Y-m-d'));
    		$recepcionado 		= '';
    		$dias_r 			= $this->util->dias_transcurridos($row->man_fecha, date('Y-m-d'));
    		$diagnosticado		= '';
    		$dias_d 			= $this->util->dias_transcurridos($row->man_fecha, date('Y-m-d'));
    		$reparado 			= '';
    		$dias_rp 			= $this->util->dias_transcurridos($row->man_fecha, date('Y-m-d'));

    		if($row->man_fecha_recepcion!=''){
    			$recepcionado 	= $this->util->fecha_espanol($row->man_fecha_recepcion).' '.$row->man_hora_recepcion;
    			$dias_e 		= $this->util->dias_transcurridos($row->man_fecha, $row->man_fecha_recepcion);
    		}
    		if($row->man_fecha_diagnostico!=''){
    			$diagnosticado 	= $this->util->fecha_espanol($row->man_fecha_diagnostico).' '.$row->man_hora_diagnostico;
    			$dias_r 		= $this->util->dias_transcurridos($row->man_fecha_recepcion, $row->man_fecha_diagnostico);
    		}
    		if($row->man_fecha_conclusion!=''){
    			$reparado 		= $this->util->fecha_espanol($row->man_fecha_conclusion).' '.$row->man_hora_diagnostico;
    			$dias_d 		= $this->util->dias_transcurridos($row->man_fecha_diagnostico, $row->man_fecha_conclusion);
    		}
    		$recepcionadohtml 	= ($recepcionado!='')?$recepcionado.' | <b>'.str_pad($dias_r, 3, '0', STR_PAD_LEFT).'</b>':'';
    		$diagnosticadohtml 	= ($diagnosticado!='')?$diagnosticado.' | <b>'.str_pad($dias_d, 3, '0', STR_PAD_LEFT).'</b>':'';
    		$reparadohtml 		= ($reparado!='')?$reparado:'';
			$html  .= '
				<tr>
					<td align="center">
						<a class="btn btn-warning btn-xs">
							<span class="glyphicon glyphicon-eye-open"></span>
						</a>
					</td>
					<td>'.$row->equi_descripcion.'</td>
					<td>'.$en_espera.' | <b>'.str_pad($dias_e, 3, '0', STR_PAD_LEFT).'</b></td>
					<td>'.$recepcionadohtml.'</td>
					<td>'.$diagnosticadohtml.'</td>
					<td>'.$reparadohtml.'</td>
					<td>'.$row->est_descripcion.'</td>
					<td>'.$row->man_asunto.'</td>
				</tr>
			';
		}
		echo json_encode(array($html, $count));
	}

	public function nuevo(){
		if($this->xppo_model->ver($_SESSION['app.soptec_sesion_id'],101)){
			$titulo 			= 'SISTEMA DE CONTROL DE ACTIVOS INFORMÁTICOS';
 			$data['titulo']		= $titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$data['menu']		= $this->load->view('main/menu', '', TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
 			$data['xeqo']		= modules::run('maestras/xeqo/combo','0',' - TODOS - ');
			$this->load->view('xmto/nuevo', $data);
		}else{
			$titulo 			= 'SISTEMA DE CONTROL DE ACTIVOS INFORMÁTICOS';
 			$data['titulo']		= $titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$data['menu']		= $this->load->view('main/menu', '', TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
			$this->load->view('main/sin_permiso', $data);
		}
	}

	public function insertar(){
		$cuerpo 	= mb_convert_case(trim($this->input->post('cuerpo')), MB_CASE_UPPER, 'utf-8');;
		$fecha 		= $this->util->fecha_ingles($this->input->post('fecha'));
		$asunto 	= mb_convert_case(trim($this->input->post('asunto')), MB_CASE_UPPER, 'utf-8');
		$xeqo 		= $this->input->post('xeqo');
		$xeo 		= $this->input->post('xeo');
		$destino 	= $this->input->post('destino');
		$xmqo 		= $this->input->post('xmqo');
		$usuario 	= $_SESSION['app.soptec_sesion_usuario'];
		$data 		= array('man_asunto' 		=> $asunto,
							'man_fecha'			=> $fecha,
							'man_hora'			=> date('H:i:s'),
							'man_informe'		=> $cuerpo,
							'man_destino'		=> $destino,
							'eq_inv_id'			=> $xeqo,
							'mqo_id'			=> $xmqo,
							'est_codigo_cas'	=> $xeo,
							'man_usu'			=> $usuario);
		$id 		= $this->xmto_model->insertar_xmto($data);
		$data_xqo 	= array('eq_estado'	=> 2);
		$this->inventario_model->editar($xeqo, $data_xqo);
		$json 		= $this->input->post('json_img');
		foreach ($json as $row) {
			$comentario 	= mb_convert_case($row['comentario'], MB_CASE_UPPER, 'utf-8');
			$img 			= $row['img'];
			$data_img		= array('mimg_ruta'			=> $img,
									'mimg_comentario'	=> $comentario,
									'man_id'			=> $id);
			$this->xmto_model->insertar_xmimg($data_img);
		}
		echo 0;
	}
}